Subject: Re: linux-next: build failure after merge of the tty.current tree

From: Peter Hurley <[email-masked]>
Date: Tue, 15 Jul 2014 13:49:39 -0400

On 07/12/2014 09:02 AM, Peter Hurley wrote:
> On 07/11/2014 09:20 PM, Stephen Rothwell wrote:
>> Hi Peter,
>>
>> On Fri, 11 Jul 2014 11:06:56 -0400 Peter Hurley <[email-masked]> wrote:
>>>
>>> Sorry about that. I don't have a full cross-compiler setup for
>>> build testing. Looks like that's something I'm going to have to add.
>>
>> see https://www.kernel.org/pub/tools/crosstool/
>>
>> These are only good for building the kernel (no libc).
>>
>> You don't necessarily need to build the whole kernel but often just
>> building the particular drivers is enough.  Especially if they are
>> directly modified ...
>
> Hi Stephen,
>
> Thanks for the link. I had found Shuah Khan's slideshow pdf on cross-compiler
> packages earlier and so have already started down that path.

Just an fyi,

The cross-compiler packages of the emdebian project in the unstable (aka, "sid")
distribution have broken dependencies.

So the instructions here
http://events.linuxfoundation.org/sites/events/files/slides/Shuah_Khan_cross_compile_linux.pdf
and here
http://linuxdriverproject.org/mediawiki/index.php/Cross-compiling_Linux_kernel_on_x86_64#Installation_Steps
are no longer applicable.

Regards,
Peter Hurley